Skip to main content
POST
/
b2b
/
quotes
/
prospective
Request Prospective Quote
curl --request POST \
  --url https://nexus.kraken.com/b2b/quotes/prospective \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": {
    "type": "receive",
    "amount": {
      "asset": "<string>",
      "amount": "1.23",
      "asset_class": "currency"
    },
    "quote": {
      "asset": "<string>"
    },
    "fee_bps": "<string>",
    "spread_bps": "<string>"
  },
  "quote_currency": "<string>"
}
'
{
  "result": {
    "type": "receive",
    "spend": {
      "asset": "<string>",
      "total": "1.23",
      "fee": "1.23",
      "subtotal": "1.23",
      "asset_class": "currency"
    },
    "receive": {
      "asset": "<string>",
      "total": "1.23",
      "fee": "1.23",
      "subtotal": "1.23",
      "asset_class": "currency"
    },
    "unit_price": {
      "asset": "<string>",
      "unit_price": "1.23",
      "denomination_asset": "<string>",
      "asset_class": "currency",
      "denomination_asset_class": "currency"
    },
    "quoted_spend": {
      "asset": "<string>",
      "total": "1.23",
      "fee": "1.23",
      "subtotal": "1.23",
      "asset_class": "currency"
    },
    "quoted_receive": {
      "asset": "<string>",
      "total": "1.23",
      "fee": "1.23",
      "subtotal": "1.23",
      "asset_class": "currency"
    },
    "quoted_unit_price": {
      "asset": "<string>",
      "unit_price": "1.23",
      "denomination_asset": "<string>",
      "asset_class": "currency",
      "denomination_asset_class": "currency"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Query Parameters

user
string
required

IIBAN of the user to act on behalf of. Internet International Bank Account Number (IIBAN)

Required string length: 14 - 42

Body

application/json
action
object
required
trigger
object

If set will return the fee of the quote executed at the specified price target

quote_currency
string | null

If set will return quoted_spend, quoted_receive, quoted_unit_price

Maximum string length: 16

Response

Response

result
object